# Sender Profiles

## List sender profiles

> Retrieve a list of sender profiles associated with the account

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage sender profiles","name":"sender_profile"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"queryLimit":{"description":"Limits the number of results to return","in":"query","name":"limit","schema":{"default":10,"maximum":100,"minimum":1,"type":"integer"}},"queryCursor":{"description":"Pagination token that keeps of track of the current position in the list","in":"query","name":"pageToken","schema":{"maxLength":8000,"type":"string"}},"queryDirection":{"description":"Order in which to retrieve the results","in":"query","name":"reverse","schema":{"default":false,"type":"boolean"}}},"schemas":{"SenderProfileList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/SenderProfile"}}}},"SenderProfile":{"type":"object","additionalProperties":false,"required":["id","name","channelId","createdAt","updatedAt"],"properties":{"id":{"type":"string","maxLength":60},"name":{"type":"string"},"email":{"$ref":"#/components/schemas/SenderProfileEmail"},"allowedEntities":{"type":"array","items":{"$ref":"#/components/schemas/SenderProfileAllowedEntity"}},"channelId":{"type":"string","maxLength":60},"signature":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SenderProfileEmail":{"type":"object","additionalProperties":false,"required":["username","domain"],"properties":{"username":{"type":"string"},"domain":{"type":"string"}}},"SenderProfileAllowedEntity":{"type":"object","additionalProperties":false,"required":["entityType","entityId"],"properties":{"entityType":{"type":"string","enum":["team","agent"]},"operation":{"type":"string","enum":["view","edit"]},"entityId":{"type":"string","maxLength":60}}},"Error":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":true},"message":{"type":"string","minLength":5}}}}},"paths":{"/workspaces/{workspaceId}/sender-profiles":{"get":{"description":"Retrieve a list of sender profiles associated with the account","operationId":"listSenderProfiles","parameters":[{"$ref":"#/components/parameters/queryLimit"},{"$ref":"#/components/parameters/queryCursor"},{"$ref":"#/components/parameters/queryDirection"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SenderProfileList"}}},"description":"OK"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Workspace not found"}},"summary":"List sender profiles","tags":["sender_profile"]}}}}
```

## Create new sender profile

> Create a new sender profile, defining its name, and other attributes.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage sender profiles","name":"sender_profile"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"CreateSenderProfile":{"type":"object","additionalProperties":false,"required":["name","channelId"],"properties":{"name":{"type":"string"},"username":{"type":"string"},"allowedEntities":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/SenderProfileAllowedEntity"}},"channelId":{"type":"string","maxLength":60},"signature":{"type":"string"}}},"SenderProfileAllowedEntity":{"type":"object","additionalProperties":false,"required":["entityType","entityId"],"properties":{"entityType":{"type":"string","enum":["team","agent"]},"operation":{"type":"string","enum":["view","edit"]},"entityId":{"type":"string","maxLength":60}}},"ValidationError":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"message":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/workspaces/{workspaceId}/sender-profiles":{"post":{"description":"Create a new sender profile, defining its name, and other attributes.","operationId":"createSenderProfile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSenderProfile"}}}},"responses":{"201":{"description":"created"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}},"description":"Invalid request"}},"summary":"Create new sender profile","tags":["sender_profile"]}}}}
```

## Get Sender profile

> Retrieve information about a specific sender profile, including its name, and other attributes.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage sender profiles","name":"sender_profile"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"SenderProfile":{"type":"object","additionalProperties":false,"required":["id","name","channelId","createdAt","updatedAt"],"properties":{"id":{"type":"string","maxLength":60},"name":{"type":"string"},"email":{"$ref":"#/components/schemas/SenderProfileEmail"},"allowedEntities":{"type":"array","items":{"$ref":"#/components/schemas/SenderProfileAllowedEntity"}},"channelId":{"type":"string","maxLength":60},"signature":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SenderProfileEmail":{"type":"object","additionalProperties":false,"required":["username","domain"],"properties":{"username":{"type":"string"},"domain":{"type":"string"}}},"SenderProfileAllowedEntity":{"type":"object","additionalProperties":false,"required":["entityType","entityId"],"properties":{"entityType":{"type":"string","enum":["team","agent"]},"operation":{"type":"string","enum":["view","edit"]},"entityId":{"type":"string","maxLength":60}}},"Error":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":true},"message":{"type":"string","minLength":5}}}}},"paths":{"/workspaces/{workspaceId}/sender-profiles/{senderProfileId}":{"get":{"description":"Retrieve information about a specific sender profile, including its name, and other attributes.","operationId":"getSenderProfile","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SenderProfile"}}},"description":"OK"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Sender profile or workspace not found"}},"summary":"Get Sender profile","tags":["sender_profile"]}}}}
```

## Update Sender profile

> Modify the details of a specific sender profile, such as its name or other attributes.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage sender profiles","name":"sender_profile"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"UpdateSenderProfile":{"type":"object","additionalProperties":false,"properties":{"name":{"nullable":true,"type":"string"},"username":{"nullable":true,"type":"string"},"signature":{"nullable":true,"type":"string"},"allowedEntities":{"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/SenderProfileAllowedEntity"}},"channelId":{"type":"string","maxLength":60}}},"SenderProfileAllowedEntity":{"type":"object","additionalProperties":false,"required":["entityType","entityId"],"properties":{"entityType":{"type":"string","enum":["team","agent"]},"operation":{"type":"string","enum":["view","edit"]},"entityId":{"type":"string","maxLength":60}}},"SenderProfile":{"type":"object","additionalProperties":false,"required":["id","name","channelId","createdAt","updatedAt"],"properties":{"id":{"type":"string","maxLength":60},"name":{"type":"string"},"email":{"$ref":"#/components/schemas/SenderProfileEmail"},"allowedEntities":{"type":"array","items":{"$ref":"#/components/schemas/SenderProfileAllowedEntity"}},"channelId":{"type":"string","maxLength":60},"signature":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SenderProfileEmail":{"type":"object","additionalProperties":false,"required":["username","domain"],"properties":{"username":{"type":"string"},"domain":{"type":"string"}}},"Error":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":true},"message":{"type":"string","minLength":5}}},"ValidationError":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"message":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}}}}},"paths":{"/workspaces/{workspaceId}/sender-profiles/{senderProfileId}":{"patch":{"description":"Modify the details of a specific sender profile, such as its name or other attributes.","operationId":"updateSenderProfile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSenderProfile"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SenderProfile"}}},"description":"updated"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Sender profile or workspace not found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}},"description":"Invalid request"}},"summary":"Update Sender profile","tags":["sender_profile"]}}}}
```

## Delete Sender Profile

> Remove a specific sender profile.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage sender profiles","name":"sender_profile"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"Error":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":true},"message":{"type":"string","minLength":5}}}}},"paths":{"/workspaces/{workspaceId}/sender-profiles/{senderProfileId}":{"delete":{"description":"Remove a specific sender profile.","operationId":"deleteSenderProfile","responses":{"204":{"description":"Deleted"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Sender profile or workspace not found"}},"summary":"Delete Sender Profile","tags":["sender_profile"]}}}}
```

## List of variable for signature in sender profiles

> Retrieve a list of variables to use for signature configuration in sender profile.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage sender profiles","name":"sender_profile"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"schemas":{"SignatureVariablesList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/SignatureVariable"}}}},"SignatureVariable":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string"},"name":{"type":"string"},"defaultDescription":{"type":"string"},"variable":{"type":"string"},"category":{"type":"string"},"replacementAttribute":{"type":"string","nullable":true},"langDescription":{"type":"object","nullable":true}}},"Error":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":true},"message":{"type":"string","minLength":5}}}}},"paths":{"/workspaces/{workspaceId}/sender-profiles/signature-variables":{"get":{"description":"Retrieve a list of variables to use for signature configuration in sender profile.","operationId":"listSenderSignatureVariables","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignatureVariablesList"}}},"description":"ok"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Workspace not found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"}},"summary":"List of variable for signature in sender profiles","tags":["sender_profile"]}}}}
```

## List sender profiles

> Retrieve a list of sender profiles associated with a user.

```json
{"openapi":"3.0.3","info":{"title":"Collaboration","version":"v1"},"tags":[{"description":"Manage sender profiles","name":"sender_profile"}],"security":[{"user":[]},{"accessKey":[]}],"components":{"securitySchemes":{"user":{"description":"Provide the token that is returned upon login","scheme":"bearer","type":"http","bearerFormat":"jwt"},"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"queryChannelId":{"description":"Filter by channelId","in":"query","name":"channelId","schema":{"maxLength":60,"type":"string"}}},"schemas":{"SenderProfileList":{"type":"object","required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/SenderProfile"}}}},"SenderProfile":{"type":"object","additionalProperties":false,"required":["id","name","channelId","createdAt","updatedAt"],"properties":{"id":{"type":"string","maxLength":60},"name":{"type":"string"},"email":{"$ref":"#/components/schemas/SenderProfileEmail"},"allowedEntities":{"type":"array","items":{"$ref":"#/components/schemas/SenderProfileAllowedEntity"}},"channelId":{"type":"string","maxLength":60},"signature":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SenderProfileEmail":{"type":"object","additionalProperties":false,"required":["username","domain"],"properties":{"username":{"type":"string"},"domain":{"type":"string"}}},"SenderProfileAllowedEntity":{"type":"object","additionalProperties":false,"required":["entityType","entityId"],"properties":{"entityType":{"type":"string","enum":["team","agent"]},"operation":{"type":"string","enum":["view","edit"]},"entityId":{"type":"string","maxLength":60}}},"Error":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":true},"message":{"type":"string","minLength":5}}}}},"paths":{"/workspaces/{workspaceId}/users/{userId}/sender-profiles":{"get":{"description":"Retrieve a list of sender profiles associated with a user.","operationId":"listUserSenderProfiles","parameters":[{"$ref":"#/components/parameters/queryChannelId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SenderProfileList"}}},"description":"ok"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Workspace or user not found"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"}},"summary":"List sender profiles","tags":["sender_profile"]}}}}
```
